# Generated by Django 3.2.16 on 2023-08-03 06:49

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0028_auto_20230711_1712'),
    ]

    operations = [
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor'), ('d3', 'd3'), ('hypersic', 'hypersic'), ('tinn', 'tinn')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor'), ('d3', 'd3'), ('hypersic', 'hypersic'), ('tinn', 'tinn')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='TinnConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('url', models.URLField(verbose_name='URL')),
                ('codente', models.CharField(max_length=64, verbose_name='codente')),
                ('username', models.CharField(max_length=64, verbose_name='username')),
                ('password', models.CharField(max_length=64, verbose_name='password')),
                ('institution_name', models.CharField(max_length=1024, null=True, verbose_name='institution name')),
                ('institution_code', models.CharField(max_length=32, null=True, verbose_name='institution code')),
                ('institution_email', models.EmailField(max_length=254, null=True, verbose_name='institution email')),
                ('institution_ou', models.CharField(max_length=32, null=True, verbose_name='institution OU')),
                ('institution_aoo_code', models.CharField(max_length=32, null=True, verbose_name='AOO code')),
                ('classification_institution_code', models.CharField(max_length=32, null=True, verbose_name='institution code for classification')),
                ('classification_aoo_code', models.CharField(max_length=32, null=True, verbose_name='AOO code for classification')),
                ('classification_hierarchy', models.CharField(max_length=16, verbose_name='classification hierarchy')),
                ('folder_number', models.CharField(max_length=16, null=True, verbose_name='folder number')),
                ('folder_year', models.CharField(max_length=4, null=True, verbose_name='folder year')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tinn_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='tinnconfig',
            constraint=models.UniqueConstraint(condition=models.Q(('is_active', True)), fields=('service', 'is_active'), name='applications_tinnconfig_unique_service_is_active_true'),
        ),
    ]
